Announcement

Collapse
No announcement yet.

CUPS 1.5.0 Released With Several New Features

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • CUPS 1.5.0 Released With Several New Features

    Phoronix: CUPS 1.5.0 Released With Several New Features

    For those still in a non-paper-less world, CUPS, the printing system for Linux, Mac OS X, and other operating systems, has been updated. CUPS 1.5 was just officially released today and its release, which is largely developed by Apple, comes just shortly following the Mac OS X 10.7 Lion release. CUPS 1.5 brings several new features and changes to the printing world...

    http://www.phoronix.com/vr.php?view=OTcxMA

  • #2
    CUPS is a delight to use. It requires very little configuration, a real rarity in the linux world.

    Comment


    • #3
      Originally posted by snuwoods View Post
      CUPS is a delight to use. It requires very little configuration, a real rarity in the linux world.
      Interesting to hear that after this well-known article. Mind you, it was probably that article that sparked a lot of the changes. And maybe OS X as well. I too have found CUPS has improved greatly over the past few years.

      Comment


      • #4
        I was wondering...

        To make iOS devices print using a CUPS printserver you need avahi support. It is my understanding that avahi-support had to be manually patched into the cups package and is not officially supported in v1.4.

        Gentoo for example therefor doesn't even support avahi in their cups-1.4.x ebuilds (they did in 1.3). Ubuntu, which is the platform mostly mentioned in the iOS printing guides, seems to have some special-sauce avahi patches applied in their cups 1.4 packages.

        What I was wondering is: Does this change now with cups 1.5 ?
        In this presentation from 04/2010 it mentions as one of the goals for 1.5:
        - Bonjour support: Full support for Avahi

        My knowledge of this topic is severely limited unfortunately... Does someone have any idea is this new "bonjour support" is now actually present in 1.5 and if this means that cups/avahi will now officially work together again?

        (i.e. that i can look forward to having gentoo ebuilds of 1.5 with avahi support and no longer have to use the extremely old cups 1.3 just to get iOS to print?)

        Comment

        Working...
        X